#{extends 'borderNG.html' /}
#{set 'titleHead'} &{'swakelola.daftar_paket_swakelola'} #{/set}
<div class="container">

#{paketTabMenu /}

    <div class="content tab-content">
        <div class="tab-pane active" id="etendering">
           *{ <form id="formFilter">
                <table class="table table-sm table-bordered">
                </table>
            </form>}*
           <ol class="breadcrumb" style="background-color: #d9534f !important;">
               <li><a href="@{BerandaCtr.index()}">&{'swakelola.home'}</a></li>
               <li class="active">&{'swakelola.daftar_paket_swakelola'}</li>
           </ol>
            #{alert /}
           #{if !disableUser}
                <a class="btn btn-success" href="@{swakelola.PaketSwakelolaCtr.rencana_swakelola()}">&{'swakelola.buat_paket'}</a>
           #{/if}
            <br/><br/>
            <table class="table table-sm" id="tblSwakelola">
                <thead>
                <tr>
                    <th width="20" nowrap>&{'swakelola.kode'}</th>
                    <th>&{'swakelola.nama_paket'}</th>
                    <th width="15%">&{'swakelola.status'}</th>
                    <th width="15%">&{'swakelola.tanggal_buat'}</th>
                    <th width="30%">&{'swakelola.satuan_kerja'}</th>
                    <th width="40"> </th>
                </tr>
                </thead>
            </table>

            <div class="bs-callout bs-callout-warning">
                &{'swakelola.pembuat_paket_dibuat'}
            </div>
        </div>
    </div>
</div>
#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var editPaket  = #{jsRoute @swakelola.PaketSwakelolaCtr.edit(':id') /};
var viewSwakelola = #{jsRoute @swakelola.SwakelolaCtr.view(':id') /};
var editSwakelola = #{jsRoute @swakelola.SwakelolaCtr.edit(':id') /};
var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
var hapusPaket = #{jsRoute @swakelola.SwakelolaCtr.hapus(':id') /};
$(document).ready(function() {
    var table = $("#tblSwakelola").DataTable({
    language: {
    	"sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
    	processing:   "&{'menu.processing'}",
    	"sSearch":       "&{'menu.ssearch'}",
    	"sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
    	"sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data",
    },
            ajax: "${url.raw()}",
            columns: [{visible:false, render: function(data, type, row) {
                var isPpk = ${active_user.ppk};
                var urlNamaPaket = isPpk ? editPaket : viewSwakelola;
            	var paketId = row[0];
                var id = row[5];
                var idNamaPaket = isPpk ? paketId : id;
                var paket = row[1];
                var status = row[2];
                var lelangTipe = 'Swakelola';
                var version = getLabelSpseVersion(row[6]);

                var flag = version.flag;
                var highlight = version.highlight;

                if(row[6] != '1') {
                action = '<a href="'+editSwakelola.url({id:id})+'"><span class="badge  badge-primary"><i class="fa fa-edit"></i> Paket Swakelola</span></a>'
                }
                if (row[8] == 'true') {
                    action += '&nbsp;<a href="'+hapusPaket.url({id:paketId})+'" onclick="return confirm(\'Apakah ada yakin menghapus paket ini?\');"><span class="badge  badge-danger"><i class="fa fa-trash-o"></i> Hapus Swakelola</span></a>'
                }

                row[2] = '<a target="_blank"  href="'+viewTahap.url({id:id})+'">'+row[2]+'</a>'
                row[5] = action;
                return row[1] = '<a href="'+editPaket.url({id:paketId})+'">'+ paket +'</a>&nbsp;<span class="badge  badge-info">'+lelangTipe+'</span>'+'&nbsp;<span class="'+highlight+'">'+flag+'</span>';
    	}},null,null,null,{searchable: true},{orderable:false}
    ],
    });
    $('#tblSwakelola_filter input').unbind();
    $('#tblSwakelola_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
} );
</script>
#{/set}